<?php 

	$nirman_construction_custom_style = '';

	// Logo Size
	$nirman_construction_logo_top_padding = get_theme_mod('nirman_construction_logo_top_padding');
	$nirman_construction_logo_bottom_padding = get_theme_mod('nirman_construction_logo_bottom_padding');
	$nirman_construction_logo_left_padding = get_theme_mod('nirman_construction_logo_left_padding');
	$nirman_construction_logo_right_padding = get_theme_mod('nirman_construction_logo_right_padding');

	if( $nirman_construction_logo_top_padding != '' || $nirman_construction_logo_bottom_padding != '' || $nirman_construction_logo_left_padding != '' || $nirman_construction_logo_right_padding != ''){
		$nirman_construction_custom_style .=' .logo {';
			$nirman_construction_custom_style .=' padding-top: '.esc_attr($nirman_construction_logo_top_padding).'px; padding-bottom: '.esc_attr($nirman_construction_logo_bottom_padding).'px; padding-left: '.esc_attr($nirman_construction_logo_left_padding).'px; padding-right: '.esc_attr($nirman_construction_logo_right_padding).'px;';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_logo_size = get_theme_mod('nirman_construction_logo_size');
	if( $nirman_construction_logo_size != '') {
		if($nirman_construction_logo_size == 100) {
			$nirman_construction_custom_style .=' .custom-logo-link img {';
				$nirman_construction_custom_style .=' width: 350px;';
			$nirman_construction_custom_style .=' }';
		} else if($nirman_construction_logo_size >= 10 && $nirman_construction_logo_size < 100) {
			$nirman_construction_custom_style .=' .custom-logo-link img {';
				$nirman_construction_custom_style .=' width: '.esc_attr($nirman_construction_logo_size).'%;';
			$nirman_construction_custom_style .=' }';
		}
	}

	//Menu animation
	$nirman_construction_dropdown_anim = get_theme_mod('nirman_construction_dropdown_anim');

	if ( $nirman_construction_dropdown_anim != '') {
		$nirman_construction_custom_style .=' .nav-menu ul ul {';
			$nirman_construction_custom_style .=' animation:'.esc_attr($nirman_construction_dropdown_anim).' 1s ease;';
		$nirman_construction_custom_style .=' }';
	}

	//Topbar & header color
	$nirman_construction_toptext_color = get_theme_mod('nirman_construction_toptext_color');

	if ( $nirman_construction_toptext_color != '') {
		$nirman_construction_custom_style .=' .contact-details a{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_toptext_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_topicon_color = get_theme_mod('nirman_construction_topicon_color');

	if ( $nirman_construction_topicon_color != '') {
		$nirman_construction_custom_style .=' .contact-details a i{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_topicon_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_topsocial_color = get_theme_mod('nirman_construction_topsocial_color');

	if ( $nirman_construction_topsocial_color != '') {
		$nirman_construction_custom_style .=' .social-icons a i{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_topsocial_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_topsocialhvr_color = get_theme_mod('nirman_construction_topsocialhvr_color');

	if ( $nirman_construction_topsocialhvr_color != '') {
		$nirman_construction_custom_style .=' .social-icons a i:hover{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_topsocialhvr_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_topbg_color = get_theme_mod('nirman_construction_topbg_color');

	if ( $nirman_construction_topbg_color != '') {
		$nirman_construction_custom_style .=' .top-header{';
			$nirman_construction_custom_style .=' background-color:'.esc_attr($nirman_construction_topbg_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_hmenu_color = get_theme_mod('nirman_construction_hmenu_color');

	if ( $nirman_construction_hmenu_color != '') {
		$nirman_construction_custom_style .=' .nav-menu ul li a{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_hmenu_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_hmenuhvr_color = get_theme_mod('nirman_construction_hmenuhvr_color');

	if ( $nirman_construction_hmenuhvr_color != '') {
		$nirman_construction_custom_style .=' .nav-menu ul li a:hover{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_hmenuhvr_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_hbtn_color = get_theme_mod('nirman_construction_hbtn_color');
	$nirman_construction_hbtnbg_color = get_theme_mod('nirman_construction_hbtnbg_color');

	if ( $nirman_construction_hbtn_color != '') {
		$nirman_construction_custom_style .=' .quote-btn a{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_hbtn_color).'; background-color:'.esc_attr($nirman_construction_hbtnbg_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_hbg_color1 = get_theme_mod('nirman_construction_hbg_color1');
	$nirman_construction_hbg_color2 = get_theme_mod('nirman_construction_hbg_color2');

	if ( $nirman_construction_hbg_color1 != '') {
		$nirman_construction_custom_style .=' .menu-section{';
			$nirman_construction_custom_style .=' background: rgba(0, 0, 0, 0) linear-gradient(90deg, '.esc_attr($nirman_construction_hbg_color1).' 27%, '.esc_attr($nirman_construction_hbg_color2).' 27%) repeat scroll 0 0;';
		$nirman_construction_custom_style .=' }';
	}

    //slider color
	$nirman_construction_slider_color = get_theme_mod('nirman_construction_slider_color');

	if ( $nirman_construction_slider_color != '') {
		$nirman_construction_custom_style .=' #slider .inner_carousel h1{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_slider_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_sliderbg_color = get_theme_mod('nirman_construction_sliderbg_color');

	if ( $nirman_construction_sliderbg_color != '') {
		$nirman_construction_custom_style .=' #slider .inner_carousel h1{';
			$nirman_construction_custom_style .=' background-color:'.esc_attr($nirman_construction_sliderbg_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_slidertext_color = get_theme_mod('nirman_construction_slidertext_color');

	if ( $nirman_construction_slidertext_color != '') {
		$nirman_construction_custom_style .=' #slider .inner_carousel p{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_slidertext_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_slidertextbg_color = get_theme_mod('nirman_construction_slidertextbg_color');

	if ( $nirman_construction_slidertextbg_color != '') {
		$nirman_construction_custom_style .=' #slider .inner_carousel p{';
			$nirman_construction_custom_style .=' background-color:'.esc_attr($nirman_construction_slidertextbg_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_sliderbtn_color = get_theme_mod('nirman_construction_sliderbtn_color');
	$nirman_construction_sliderbtnbg_color = get_theme_mod('nirman_construction_sliderbtnbg_color');

	if ( $nirman_construction_sliderbtn_color != '') {
		$nirman_construction_custom_style .=' #slider .read-btn a{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_sliderbtn_color).'; background-color:'.esc_attr($nirman_construction_sliderbtnbg_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_slidernp_color = get_theme_mod('nirman_construction_slidernp_color');
	$nirman_construction_slidernpbg_color = get_theme_mod('nirman_construction_slidernpbg_color');

	if ( $nirman_construction_slidernp_color != '') {
		$nirman_construction_custom_style .=' #slider .carousel-control-next-icon i, #slider .carousel-control-prev-icon i{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_slidernp_color).'; background-color:'.esc_attr($nirman_construction_slidernpbg_color).';';
		$nirman_construction_custom_style .=' }';
	}

	// About section padding
	$nirman_construction_about_section_padding = get_theme_mod('nirman_construction_about_section_padding');

	if( $nirman_construction_about_section_padding != ''){
		$nirman_construction_custom_style .=' #our-products {';
			$nirman_construction_custom_style .=' padding-top: '.esc_attr($nirman_construction_about_section_padding).'px; padding-bottom: '.esc_attr($nirman_construction_about_section_padding).'px;';
		$nirman_construction_custom_style .=' }';
	}

	//service color

	$nirman_construction_service_img_size = get_theme_mod('nirman_construction_service_img_size');

	if( $nirman_construction_service_img_size != ''){
		$nirman_construction_custom_style .=' .service-section img {';
			$nirman_construction_custom_style .=' width: '.esc_attr($nirman_construction_service_img_size).'px; height: '.esc_attr($nirman_construction_service_img_size).'px;';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_service_section_padding = get_theme_mod('nirman_construction_service_section_padding');

	if( $nirman_construction_service_section_padding != ''){
		$nirman_construction_custom_style .=' #nirman-services {';
			$nirman_construction_custom_style .=' padding-top: '.esc_attr($nirman_construction_service_section_padding).'px; padding-bottom: '.esc_attr($nirman_construction_service_section_padding).'px;';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_serviceheading_color = get_theme_mod('nirman_construction_serviceheading_color');

	if ( $nirman_construction_serviceheading_color != '') {
		$nirman_construction_custom_style .=' #nirman-services h2{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_serviceheading_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_servicesubheading_color = get_theme_mod('nirman_construction_servicesubheading_color');

	if ( $nirman_construction_servicesubheading_color != '') {
		$nirman_construction_custom_style .=' #nirman-services p.para-const{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_servicesubheading_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_servicetitle_color = get_theme_mod('nirman_construction_servicetitle_color');

	if ( $nirman_construction_servicetitle_color != '') {
		$nirman_construction_custom_style .=' #nirman-services h3{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_servicetitle_color).';';
		$nirman_construction_custom_style .=' }';
	}
	
	$nirman_construction_servicetext_color = get_theme_mod('nirman_construction_servicetext_color');

	if ( $nirman_construction_servicetext_color != '') {
		$nirman_construction_custom_style .=' #nirman-services .content-topic p{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_servicetext_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_servicebtn_color = get_theme_mod('nirman_construction_servicebtn_color');
	$nirman_construction_servicebtnbg_color = get_theme_mod('nirman_construction_servicebtnbg_color');

	if ( $nirman_construction_servicebtn_color != '') {
		$nirman_construction_custom_style .=' #nirman-services .read-btn a, .article_content .read-btn a{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_servicebtn_color).'; background-color:'.esc_attr($nirman_construction_servicebtnbg_color).';';
		$nirman_construction_custom_style .=' }';
	}

	// Site Title Font Size
	$nirman_construction_site_title_font_size = get_theme_mod('nirman_construction_site_title_font_size');
	if( $nirman_construction_site_title_font_size != ''){
		$nirman_construction_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$nirman_construction_custom_style .=' font-size: '.esc_attr($nirman_construction_site_title_font_size).'px;';
		$nirman_construction_custom_style .=' }';
	}

	// Site Tagline Font Size
	$nirman_construction_site_tagline_font_size = get_theme_mod('nirman_construction_site_tagline_font_size');
	if( $nirman_construction_site_tagline_font_size != ''){
		$nirman_construction_custom_style .=' .logo p.site-description {';
			$nirman_construction_custom_style .=' font-size: '.esc_attr($nirman_construction_site_tagline_font_size).'px;';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_slider_hide_show = get_theme_mod('nirman_construction_slider_hide_show',false);
	if( $nirman_construction_slider_hide_show == true){
		$nirman_construction_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$nirman_construction_custom_style .=' display:none;';
		$nirman_construction_custom_style .=' }';
	}

	// Copyright padding
	$nirman_construction_copyright_padding = get_theme_mod('nirman_construction_copyright_padding');
	if( $nirman_construction_copyright_padding != ''){
		$nirman_construction_custom_style .=' .site-info {';
			$nirman_construction_custom_style .=' padding-top: '.esc_attr($nirman_construction_copyright_padding).'px; padding-bottom: '.esc_attr($nirman_construction_copyright_padding).'px;';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_copyright_color = get_theme_mod('nirman_construction_copyright_color');

	if ( $nirman_construction_copyright_color != '') {
		$nirman_construction_custom_style .=' .copyright p, .copyright a{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_copyright_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_copyrightbg_color = get_theme_mod('nirman_construction_copyrightbg_color');

	if ( $nirman_construction_copyrightbg_color != '') {
		$nirman_construction_custom_style .=' .copyright {';
			$nirman_construction_custom_style .=' background-color:'.esc_attr($nirman_construction_copyrightbg_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_footer_widgets_color = get_theme_mod('nirman_construction_footer_widgets_color');

	if ( $nirman_construction_footer_widgets_color != '') {
		$nirman_construction_custom_style .=' h3.widget-title{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_footer_widgets_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_footer_widgets_menu_color = get_theme_mod('nirman_construction_footer_widgets_menu_color');

	if ( $nirman_construction_footer_widgets_menu_color != '') {
		$nirman_construction_custom_style .=' .widget ul li a, .site-footer .widget-area ul li a, .site-footer .widget-area ul li a{';
			$nirman_construction_custom_style .=' color:'.esc_attr($nirman_construction_footer_widgets_menu_color).';';
		$nirman_construction_custom_style .=' }';
	}

	$nirman_construction_footerbg_color = get_theme_mod('nirman_construction_footerbg_color');

	if ( $nirman_construction_footerbg_color != '') {
		$nirman_construction_custom_style .=' #colophon {';
			$nirman_construction_custom_style .=' background-color:'.esc_attr($nirman_construction_footerbg_color).';';
		$nirman_construction_custom_style .=' }';
	}